Subject: Re: [Fwd: -qa / -qi problem]
From: Jason Tishler <[email-masked]>
To: Doru Carastan <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 6 Aug 2001 14:07:59 -0400

Doru,

On Thu, Aug 02, 2001 at 12:53:37PM -0700, Doru Carastan wrote:
> Jason Tishler wrote:
> > In the future, please post to [email-masked] instead of sending
> > private email so others can benefit too.
> 
> I apologize for that.

No need to apologize -- the above is just my pat answer to any
unsolicited email that I receive apparently due to my postings.

> I considered it to be a better candidate for
> [email-masked]. Their answer is posted here:
> http://groups.yahoo.com/group/rpm-list/message/14656

Agreed, but I presume that you emailed me due to the following:

    http://sources.redhat.com/ml/cygwin/2001-07/msg00949.html

If so, then I would prefer to keep the responses on list to keep the
thread together and for the archives.

> > Hence, my port seems to handle -qa and -qi or not having anything
> > installed is masking problems.
> 
> I'm not so sure about that. You need to make sure you have created the
> directory for _dbpath as it is listed by rpm --showrc. Then run rpm
> --initdb to create an empty database. While being here it is a good idea
> to check if _tmppath exists, otherwise any build command will fail too.
> Could you please try this and run the command sequence again?

I just tried the above and I'm getting the same results:

    $ rpm -q less
    error: cannot open Name index using db3 - No such file or directory (2)
    package less is not installed

I have the following directory structure:

    $ find /var/local
    /var/local
    /var/local/lib
    /var/local/lib/rpm
    /var/local/lib/rpm/Packages  # created by rpm --initdb
    /var/local/tmp

Sorry, but I'm very ignorant regarding rpm.  Any idea what I am doing
wrong?

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/